services:
  gabrielkaszewski:
    image: local/gabriel-portfolio:latest
    container_name: gabrielkaszewski
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.gabrielkaszewski.rule=Host(`gabrielkaszewski.dev`)"
      - "traefik.http.routers.gabrielkaszewski.entrypoints=websecure"
      - "traefik.http.routers.gabrielkaszewski.tls.certresolver=letsencrypt"
    networks:
      - traefik
networks:
  traefik:
    external: true
